Name:		kscope
Summary: 	KDE front-end to Cscope
Version:	1.6.1
Release:	4%{?dist}
License:	BSD
Group:		Development/Tools
Source0:	http://download.sourceforge.net/kscope/%{name}-%{version}.tar.gz
URL:		http://kscope.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils, bison, flex, kdelibs3-devel, qt-devel
BuildRequires:	libjpeg-devel, libpng-devel, gettext, kdebase3-devel
Requires:	cscope, ctags, graphviz

%description
KScope is a KDE front-end to Cscope. It provides a source-editing 
environment for large C projects, such as the Linux kernel.

KScope is by no means intended to be a replacement to any of the leading 
Linux/KDE IDEs, such as KDevelop. First of all, it is not an Integrated 
Development Environment: it does not provide the usual write/compile/debug 
cycle supported by most IDE's. Instead, KScope is focused on source 
editing and analysis. 

%prep
%setup -q

%build
%configure --disable-rpath 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# Clean up dangling symlink
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}/HTML/en/kscope/common 
pushd $RPM_BUILD_ROOT%{_defaultdocdir}/HTML/en/kscope/
ln -s ../common common
popd

desktop-file-install --vendor="" --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Development/kscope.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/kscope
%{_datadir}/applications/kde/*kscope.desktop
%{_datadir}/apps/%{name}/
%{_defaultdocdir}/HTML/en/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/locolor/*/apps/%{name}.png

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.6.1-4
- Autorebuild for GCC 4.3

* Sun Jan 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.1-3
- drop vendor

* Sun Jan 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.1-2
- cleanups from review 

* Fri Jan 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.1-1
- Initial package for Fedora
